// import highlight from 'highlight.js';
import Markdown from 'markdown-it';

const mdOptions: Markdown.Options = {
	linkify: true,
	typographer: true,
	breaks: true,
	langPrefix: 'language-',
	// 代码高亮
	// hightlight 加载过慢
	// highlight(str, lang) {
	// 	if (lang && highlight.getLanguage(lang)) {
	// 		try {
	// 			return '<pre class="hljs"><code>' + highlight.highlight(lang, str, true).value + '</code></pre>';
	// 		} catch (__) {
    //   }
	// 	}
	// 	return '';
	// },
};

export const md = new Markdown(mdOptions);
